{% extends 'base.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  <link rel="stylesheet" href="{{asset('css/orariStyle.css')}}" />
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('user_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <div class="active section">I miei ordini</div>
    </div>
  </div>

  <h2 class="ui header fly" style="display: none">
    <i class="shopping bag icon"></i>
    <div class="content">
      I miei ordini
    </div>
  </h2>

  <div class="ui divider"></div>

  <div class="ui relaxed divided list">
    {% for ordine in cliente.ordini|sort|reverse %}
      <div class="item" style="padding-top: 1.5%">
        {% if ordine.consegnato == true %}
          <a class="ui green label" style="float: right; cursor: default; display: inline">Consegnato</a>
        {% else %}
          <a class="ui yellow label" style="float: right; cursor: default; display: inline">In attesa di consegna</a>
        {% endif %}
        <i class="large shopping basket middle aligned icon"></i>
        <div class="content">
          <a href="{{path('user_ristorante_dettagli', { 'id': ordine.ristorante.id })}}" class="header">{{ordine.ristorante.nome}}</a>
          <div class="description" style="display: inline">
            Effettuato il <strong>{{ordine.dataEffettuazione|date("d/m/Y")}}</strong> alle ore <strong>{{ordine.dataEffettuazione|date("H:i")}}</strong><br/>
            Consegna prevista per le ore <strong>{{ordine.oraConsegna|date("H:i")}}</strong> presso <strong>{{ordine.indirizzoConsegna}}</strong>
          </div>
        </div>
        <div class="ui bulleted list" style="margin-left: 4%; display: inline-block; border-bottom: 1px solid rgba(0,0,0,.85); padding-bottom: 1%;">
          {% for pietanza in ordine.pietanzeInOrdine %}
              <div class="item">{{pietanza.pietanza.nome}}  [x{{pietanza.quantita}}]</div>
          {% endfor %}
        </div><br />
        <a class="ui blue label" style="margin-left: 4%; margin-top: 1%; margin-bottom: 1.5%; cursor: default">Totale: {{ordine.prezzoTotale}} €</a>
        {% if ordine.consegnato == true %}
          {% if ordine.recensione is null %}
            <button data-id="{{ordine.codOrdine}}" data-name="{{ordine.ristorante.id}}" class="ui labeled icon primary button recensione-button" style="float: right; display: inline">
              <i class="tripadvisor icon"></i>
              Effettua una recensione
            </button>
          {% else %}
            <div class="ui huge star rating voto-recensione" data-rating="{{ordine.recensione.voto}}" data-max-rating="5" style="float: right; display: inline"></div>
          {% endif %}
        {% endif %}
      </div>
    {% endfor %}
  </div>

  <div id="new-recensione-modal" class="ui large modal">
    <div class="header">Effettua una nuova recensione:</div>
    <div class="content" style="padding: 30px">
      <form class="ui form" method="post">
        <input type="hidden" name="ristorante"/>
        <input type="hidden" name="ordine"/>
        <div class="three fields">
          <div class="required field">
            <label>Titolo</label>
            <input placeholder="Titolo" type="text" name="titolo" required="true">
          </div>
          <div class="required field">
            <label>Testo</label>
            <textarea placeholder="Testo" rows="2" type="text" name="testo" required="true"></textarea>
          </div>
          <div class="required field">
            <label>Voto</label>
            <div id="assegna-punteggio" class="ui huge star rating" data-max-rating="5"></div>
            <input type="hidden" name="voto">
          </div>
        </div>
        <div class="ui divider"></div>
        <span style="color: #DB2828; margin-right: 5px">*</span>Campo obbligatorio
        <button id="confirm-recensione-form" style="margin: 0; display: inline; float:right" type="submit" class="ui right labeled icon positive button">
          <i class="checkmark icon"></i> Effettua recensione!
        </button>
        <div style="margin: 0; display: inline; float:right" class="actions">
          <div class="ui cancel button">
            Annulla
          </div>
        </div>
      </form>
    </div>
  </div>

  {% block javascripts %}

  {% endblock %}

{% endblock %}
